INDEX(3)

NAME
index, rindex - locate character in string

SYNOPSIS
#include <string.h>

char * index (const char *s, int c);
char * rindex (const char *s, int c);

DESCRIPTION
The index function locates the first character matching c (converted to a char) in the null-terminated string s.

The rindex function locates the last character matching c (converted to a char) in the null-terminated string s.

RETURN VALUES
A pointer to the character is returned if it is found; otherwise NULL is returned. If c is '\0', index and rindex locate the terminating '\0'.

SEE ALSO
memchr(3), strchr(3), strcspn(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strstr(3), strtok(3)

HISTORY
Both an index and rindex function appeared in Version 6 AT&T UNIX.